! ----------------------------------------------------- !
      subroutine x_sdat_p(msgtype)
! ----------------------------------------------------- !
! Purpose: This program sends data from the current
!          executable (x) to the parent (p).
! ----------------------------------------------------- !
      use x_gpvm_p
      use x_gdat

      implicit none
      include 'fpvm3.h'
      integer :: msgtype

      call pvmfinitsend( PVMDEFAULT, info )
      call pvmfpack( integer4, me, 1, 1, info )
      call pvmfpack( integer4, snd_p, 1, 1, info )
      call pvmfpack( REAL8, r8_frm_c, snd_p, 1, info )
      call pvmfsend( mptid, msgtype, info )

      end

